Loading...
Searching...
No Matches
Dune::GeometryTypes Namespace Reference
dune-geometry » Geometry Type

Predefined GeometryTypes for common geometries. More...

## Functions

constexpr GeometryType | simplex (unsigned int dim)
| Returns a GeometryType representing a simplex of dimension dim.
constexpr GeometryType | cube (unsigned int dim)
| Returns a GeometryType representing a hypercube of dimension dim.
constexpr GeometryType | none (unsigned int dim)
| Returns a GeometryType representing a singular of dimension dim.
constexpr GeometryType | conicalExtension (const GeometryType &gt)
| Return GeometryType of a conical construction with gt as base.
constexpr GeometryType | prismaticExtension (const GeometryType &gt)
| Return GeometryType of a prismatic construction with gt as base.

## Variables

constexpr GeometryType | vertex = GeometryType(0,0,false)
| GeometryType representing a vertex.
constexpr GeometryType | line = GeometryType(0,1,false)
| GeometryType representing a line.
constexpr GeometryType | triangle = simplex(2)
| GeometryType representing a triangle.
constexpr GeometryType | quadrilateral = cube(2)
| GeometryType representing a quadrilateral (a square).
constexpr GeometryType | tetrahedron = simplex(3)
| GeometryType representing a tetrahedron.
constexpr GeometryType | pyramid = GeometryType(0b0011,3,false)
| GeometryType representing a 3D pyramid.
constexpr GeometryType | prism = GeometryType(0b0101,3,false)
| GeometryType representing a 3D prism.
constexpr GeometryType | hexahedron = cube(3)
| GeometryType representing a hexahedron.

## Detailed Description

Predefined GeometryTypes for common geometries.

## Function Documentation

## conicalExtension()

GeometryType Dune::GeometryTypes::conicalExtension | ( | const GeometryType & | gt | ) |

inline constexpr

Return GeometryType of a conical construction with gt as base.

## prismaticExtension()

GeometryType Dune::GeometryTypes::prismaticExtension | ( | const GeometryType & | gt | ) |

inline constexpr

Return GeometryType of a prismatic construction with gt as base.